<script setup lang="ts">
import { ref, onMounted, onUnmounted, reactive, toRefs } from "vue";
import { useRouter,useRoute } from 'vue-router'
const route = useRoute()
//const props = defineProps({
//})
//const emit = defineEmits([
//])
let data = reactive({
	lang: ''
})
onMounted(()=>{
	data.lang = route?.query?.lang
	console.log(lang)
})
onUnmounted(()=>{
})
defineExpose({})
const {lang} = toRefs(data);
</script>
<template>
	<div class="userManual" v-if="lang == 'CHINESE_SIMPLIFIED'">
		<iframe src="https://aida-user-manual-chinese.super.site/" width="100%" height="100%" frameborder="0" allowfullscreen />
	</div>
	<div class="userManual" v-else-if="lang">
		<iframe src="https://aida-user-manual.super.site/" width="100%" height="100%" frameborder="0" allowfullscreen />
	</div>
</template>
<style lang="less" scoped>
	.userManual{
		width: 100%;
		height: 100%;
		position: relative;
	}
</style>